"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tap_1 = require("tap");
const create_ffmpeg_options_1 = require("../create-ffmpeg-options");
const default_ffmpeg_options_1 = require("../default-ffmpeg-options");
tap_1.test('strip audio', function (t) {
    t.plan(2);
    const { flags, outputFile } = create_ffmpeg_options_1.createFFmpegOptions('video.mov', 'build', {
        ...default_ffmpeg_options_1.defaultFFmpegOptions,
        audio: false
    });
    t.deepEqual({
        'an': true,
        'codec:a': null,
        'codec:v': 'copy',
        'filter:a': [],
        'filter:v': [],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
    t.equal(outputFile, 'build/video.mov');
});
