"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tap_1 = require("tap");
const create_ffmpeg_options_1 = require("../create-ffmpeg-options");
const default_ffmpeg_options_1 = require("../default-ffmpeg-options");
tap_1.test('convert to same format as input file', function (t) {
    t.plan(2);
    const { flags, outputFile } = create_ffmpeg_options_1.createFFmpegOptions('video.mov', 'build', {
        ...default_ffmpeg_options_1.defaultFFmpegOptions,
        format: 'mov'
    });
    t.deepEqual({
        'an': null,
        'codec:a': 'copy',
        'codec:v': 'copy',
        'filter:a': [],
        'filter:v': [],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
    t.equal(outputFile, 'build/video.mov');
});
tap_1.test('convert to GIF format', function (t) {
    t.plan(2);
    const { flags, outputFile } = create_ffmpeg_options_1.createFFmpegOptions('video.mov', 'build', {
        ...default_ffmpeg_options_1.defaultFFmpegOptions,
        format: 'gif'
    });
    t.deepEqual({
        'an': null,
        'codec:a': null,
        'codec:v': null,
        'filter:a': [],
        'filter:v': [],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
    t.equal(outputFile, 'build/video.gif');
});
