"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tap_1 = require("tap");
const create_ffmpeg_options_1 = require("../create-ffmpeg-options");
const default_ffmpeg_options_1 = require("../default-ffmpeg-options");
tap_1.test('invalid', function (t) {
    t.plan(1);
    try {
        create_ffmpeg_options_1.createFFmpegOptions('video.mov', 'build', {
            ...default_ffmpeg_options_1.defaultFFmpegOptions,
            resize: 'foo'
        });
        t.fail();
    }
    catch {
        t.pass();
    }
});
tap_1.test('width and height', function (t) {
    t.plan(2);
    const { flags, outputFile } = create_ffmpeg_options_1.createFFmpegOptions('video.mov', 'build', {
        ...default_ffmpeg_options_1.defaultFFmpegOptions,
        resize: '360,640'
    });
    t.deepEqual({
        'an': null,
        'codec:a': 'copy',
        'codec:v': null,
        'filter:a': [],
        'filter:v': ['scale=360:640'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
    t.equal(outputFile, 'build/video.mov');
});
