"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tap_1 = require("tap");
const create_ffmpeg_options_1 = require("../create-ffmpeg-options");
const default_ffmpeg_options_1 = require("../default-ffmpeg-options");
tap_1.test('90 degrees counter-clockwise', function (t) {
    t.plan(2);
    const { flags, outputFile } = create_ffmpeg_options_1.createFFmpegOptions('video.mov', 'build', {
        ...default_ffmpeg_options_1.defaultFFmpegOptions,
        rotate: '-90'
    });
    t.deepEqual({
        'an': null,
        'codec:a': 'copy',
        'codec:v': null,
        'filter:a': [],
        'filter:v': ['transpose=2'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
    t.equal(outputFile, 'build/video.mov');
});
tap_1.test('90 degrees clockwise', function (t) {
    t.plan(2);
    const { flags, outputFile } = create_ffmpeg_options_1.createFFmpegOptions('video.mov', 'build', {
        ...default_ffmpeg_options_1.defaultFFmpegOptions,
        rotate: '90'
    });
    t.deepEqual({
        'an': null,
        'codec:a': 'copy',
        'codec:v': null,
        'filter:a': [],
        'filter:v': ['transpose=1'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
    t.equal(outputFile, 'build/video.mov');
});
tap_1.test('180 degrees', function (t) {
    t.plan(2);
    const { flags, outputFile } = create_ffmpeg_options_1.createFFmpegOptions('video.mov', 'build', {
        ...default_ffmpeg_options_1.defaultFFmpegOptions,
        rotate: '180'
    });
    t.deepEqual({
        'an': null,
        'codec:a': 'copy',
        'codec:v': null,
        'filter:a': [],
        'filter:v': ['transpose=1,transpose=1'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
    t.equal(outputFile, 'build/video.mov');
});
