"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tap_1 = require("tap");
const create_ffmpeg_options_1 = require("../create-ffmpeg-options");
const default_ffmpeg_options_1 = require("../default-ffmpeg-options");
tap_1.test('0.25x speed', function (t) {
    t.plan(2);
    const { flags, outputFile } = create_ffmpeg_options_1.createFFmpegOptions('video.mov', 'build', {
        ...default_ffmpeg_options_1.defaultFFmpegOptions,
        speed: 0.25
    });
    t.deepEqual({
        'an': null,
        'codec:a': null,
        'codec:v': null,
        'filter:a': ['atempo=0.5,atempo=0.5'],
        'filter:v': ['setpts=4.0*PTS'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
    t.equal(outputFile, 'build/video.mov');
});
tap_1.test('0.5x speed', function (t) {
    t.plan(2);
    const { flags, outputFile } = create_ffmpeg_options_1.createFFmpegOptions('video.mov', 'build', {
        ...default_ffmpeg_options_1.defaultFFmpegOptions,
        speed: 0.5
    });
    t.deepEqual({
        'an': null,
        'codec:a': null,
        'codec:v': null,
        'filter:a': ['atempo=0.5'],
        'filter:v': ['setpts=2.0*PTS'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
    t.equal(outputFile, 'build/video.mov');
});
tap_1.test('2x speed', function (t) {
    t.plan(2);
    const { flags, outputFile } = create_ffmpeg_options_1.createFFmpegOptions('video.mov', 'build', {
        ...default_ffmpeg_options_1.defaultFFmpegOptions,
        speed: 2
    });
    t.deepEqual({
        'an': null,
        'codec:a': null,
        'codec:v': null,
        'filter:a': ['atempo=2.0'],
        'filter:v': ['setpts=0.5*PTS'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
    t.equal(outputFile, 'build/video.mov');
});
tap_1.test('4x speed', function (t) {
    t.plan(2);
    const { flags, outputFile } = create_ffmpeg_options_1.createFFmpegOptions('video.mov', 'build', {
        ...default_ffmpeg_options_1.defaultFFmpegOptions,
        speed: 4
    });
    t.deepEqual({
        'an': null,
        'codec:a': null,
        'codec:v': null,
        'filter:a': ['atempo=2.0,atempo=2.0'],
        'filter:v': ['setpts=0.25*PTS'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
    t.equal(outputFile, 'build/video.mov');
});
