"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeShellCommands = void 0;
const childProcess = require("child_process");
const kleur = require("kleur");
const pAll = require("p-all");
async function executeShellCommands(shellCommands, concurrency, debug) {
    const callbacks = shellCommands.map(function ({ inputFile, outputFile, shellCommand }) {
        return function () {
            return new Promise(function (resolve, reject) {
                if (debug === true) {
                    console.log(kleur.gray(shellCommand));
                }
                childProcess.exec(shellCommand, function (error) {
                    if (error) {
                        reject(error);
                        return;
                    }
                    console.log(`${kleur.green('✔')} ${inputFile} ${kleur.gray('›')} ${outputFile}`);
                    resolve();
                });
            });
        };
    });
    await pAll(callbacks, { concurrency });
}
exports.executeShellCommands = executeShellCommands;
