"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.vdx = void 0;
const fs = require("fs");
const create_ffmpeg_shell_commands_1 = require("./create-ffmpeg-shell-commands");
const execute_shell_commands_1 = require("./execute-shell-commands");
async function vdx(globPatterns, outputDirectory, ffmpegOptions, concurrency, debug) {
    const shellCommands = await create_ffmpeg_shell_commands_1.createFFmpegShellCommands(globPatterns, outputDirectory, ffmpegOptions);
    if (shellCommands.length === 0) {
        return;
    }
    fs.mkdirSync(outputDirectory, { recursive: true });
    await execute_shell_commands_1.executeShellCommands(shellCommands, concurrency, debug);
}
exports.vdx = vdx;
